/**************************************************************************/
/* GF96 ( PG変更履歴 )                                                    */
/*                                                                        */
/* Created : 2012/07/28 16:35:01                                          */
/**************************************************************************/
CREATE TABLE GF96 (
   SYSTEM_ID VARCHAR2(10)                                /* 10  システムID   */
 , PGID      VARCHAR2(30)                  NOT NULL      /* 20  PG-ID        */
 , SEQ       NUMBER(7)         DEFAULT 0   NOT NULL      /* 30  順           */
 , DYHEN     VARCHAR2(8)                                 /* 40  日付         */
 , RIYU      VARCHAR2(4000)                              /* 50  理由         */
 , NAIYO     VARCHAR2(4000)                              /* 60  変更内容     */
 , PGSHU     VARCHAR2(10)                                /* 70  修正者       */
 , PGKEN     VARCHAR2(10)                                /* 80  検証者       */
 , UNIQ      NUMBER(9)         DEFAULT 0   NOT NULL      /* 90  ユニークキー */
 , FGJ       VARCHAR2(1)       DEFAULT '1' NOT NULL      /* 100 状態フラグ   */
 , DYSET     VARCHAR2(14)                                /* 110 登録日時     */
 , PGSET     VARCHAR2(10)                                /* 120 作成PG       */
 , PGPSET    VARCHAR2(10)                                /* 130 作成親PG     */
 , USRSET    VARCHAR2(10)                                /* 140 作成社員     */
 , DYUPD     VARCHAR2(14)                                /* 150 更新日時     */
 , PGUPD     VARCHAR2(10)                                /* 160 更新PG       */
 , PGPUPD    VARCHAR2(10)                                /* 170 更新親PG     */
 , USRUPD    VARCHAR2(10)                                /* 180 更新者       */
)
TABLESPACE GETBL01
STORAGE( INITIAL 16K NEXT 16K PCTINCREASE 0 );


CREATE SEQUENCE GF96S00 
INCREMENT BY 1 START WITH 1 MAXVALUE 999999999 CYCLE NOCACHE;


CREATE OR REPLACE TRIGGER GF96T00 
BEFORE INSERT ON GF96
FOR EACH ROW 
BEGIN 
SELECT GF96S00.NEXTVAL INTO :NEW.UNIQ FROM DUAL; 
END; 
/

